Bug 119631 - [webkitpy] perf profiler attaches to WKTR after the WebProcess was launched
Summary: [webkitpy] perf profiler attaches to WKTR after the WebProcess was launched
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-09 08:25 PDT by Zan Dobersek
Modified: 2013-09-15 02:28 PDT (History)
4 users (show)

See Also:


Attachments
Patch (8.74 KB, patch)
2013-08-09 08:45 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (11.44 KB, patch)
2013-09-10 03:45 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2013-08-09 08:25:32 PDT
[webkitpy] perf profiler attaches to WKTR after the WebProcess was launched
Comment 1 Zan Dobersek 2013-08-09 08:45:36 PDT
Created attachment 208437 [details]
Patch
Comment 2 Ryosuke Niwa 2013-09-09 11:59:16 PDT
Comment on attachment 208437 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=208437&action=review

> Tools/Scripts/webkitpy/common/system/profiler.py:-162
> -        if perf_exitcode is None:  # This should always be the case, unless perf error'd out early.
> -            self._host.executive.interrupt(self._perf_process.pid)
> -
> -        perf_exitcode = self._perf_process.wait()
> -        if perf_exitcode not in (0, -2):  # The exit code should always be -2, as we're always interrupting perf.
> -            print "'perf record' failed (exit code: %i), can't process results:" % perf_exitcode
> -            return

Who is catching the error now?

> Tools/Scripts/webkitpy/port/driver.py:218
> +        if self._port.get_option('wrapper'):

Why don't we store this on a temporary variable?
Comment 3 Zan Dobersek 2013-09-10 03:45:24 PDT
Created attachment 211188 [details]
Patch
Comment 4 Zan Dobersek 2013-09-15 02:25:54 PDT
Thanks!
Comment 5 Zan Dobersek 2013-09-15 02:28:50 PDT
Comment on attachment 211188 [details]
Patch

Clearing flags on attachment: 211188

Committed r155803: <http://trac.webkit.org/changeset/155803>
Comment 6 Zan Dobersek 2013-09-15 02:28:56 PDT
All reviewed patches have been landed.  Closing bug.